/***************************************************************************
 *
 * c_asteroid.h - Client side functions for asteroid entity.
 *
 ***************************************************************************
 *
 * SpaceDuel3D, version 1.0.
 * Copyright (C) 1998 Gustav Taxen.
 * This is free software with ABSOLUTELY NO WARRANTY.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, write to the Free Software
 * Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ***************************************************************************/

#ifndef C_ASTEROID_H
#define C_ASTEROID_H

#include <transfer.h>

/*
 * createAsteroidDL
 *
 * Description:
 *    Creates the asteroid display list.
 *
 */

void createAsteroidDL (void);


/*
 * drawAsteroid
 *
 * Input:
 *    data
 *       Pointer to transfer data containing the asteroid data.
 *    eye
 *       Pointer to eyepoint data.
 *
 * Description:
 *    Renders an asteroid.
 *
 */

void drawAsteroid (xferData            *data,
		   eyePointXferData    *eye);


#endif    /* C_ASTEROID_H */
