/***************************************************************************
 *
 * c_explosion.h - Client side functions that implements an explosion.
 *
 ***************************************************************************
 *
 * SpaceDuel3D, version 1.0.
 * Copyright (C) 1998 Gustav Taxen.
 * This is free software with ABSOLUTELY NO WARRANTY.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, write to the Free Software
 * Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ***************************************************************************/

#ifndef C_EXPLOSION_H
#define C_EXPLOSION_H

#include <transfer.h>


#define NUM_PARTICLES    300          /* Number of particles  */
#define NUM_DEBRIS       50           /* Number of debris     */



/* A particle */

struct particleData
{
  float   position[3];
  float   speed[3];
  float   color[3];
};
typedef struct particleData    particleData;


/* A piece of debris */

struct debrisData
{
  float   position[3];
  float   speed[3];
  float   orientation[3];       /* Rotation angles around x, y, and z axes */
  float   orientationSpeed[3];
  float   color[3];
  float   scale[3];
};
typedef struct debrisData    debrisData;



/*
 * createExplosion
 *
 * Initialize explosion particle system.
 *
 */

void createExplosion (void);


/*
 * drawExplosion
 *
 * Input:
 *    data
 *       Pointer to transfer data.
 *
 * Description:
 *    Draws an explosion based on the transferred data.
 *
 */

void drawExplosion (xferData           *data,
		    eyePointXferData   *eye);


#endif /* C_EXPLOSION_H */
