/***************************************************************************
 *
 * c_radar.h - Client-side functions for drawing the radar screens.
 *
 ***************************************************************************
 *
 * SpaceDuel3D, version 1.0.
 * Copyright (C) 1998 Gustav Taxen.
 * This is free software with ABSOLUTELY NO WARRANTY.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, write to the Free Software
 * Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ***************************************************************************/

#ifndef C_RADAR_H
#define C_RADAR_H

#include <transfer.h>
#include <vector.h>

/*
 * Define SD_RADARBLEND for transparent radar screens.
 *
 */

/* #define SD_RADARBLEND */



/*
 * drawRadar
 *
 * Input:
 *    datagram
 *       Array containing transfer data from server.
 *    position
 *       Position of client's vessel.
 *    heading
 *       Heading of client's vessel.
 *    up
 *       Up direction of client's vessel.
 *
 * Description:
 *    Draws the radar screens.
 *
 */

void drawRadar (xferData    datagram[],
		vector      position, 
		vector      heading,
		vector      up);


/*
 * createRadarDL
 *
 * Description:
 *    Creates the radar dot display list.
 *
 */

void createRadarDL (void);


#endif /* C_RADAR_H */
