/***************************************************************************
 *
 * c_starfield.h - Client-side functions that draws a starfield.
 *
 ***************************************************************************
 *
 * SpaceDuel3D, version 1.0.
 * Copyright (C) 1998 Gustav Taxen.
 * This is free software with ABSOLUTELY NO WARRANTY.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, write to the Free Software
 * Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ***************************************************************************/

#ifndef C_STARFIELD_H
#define C_STARFIELD_H

#include <GL/glut.h>

#include <vector.h>


#define SD_STARFIELD_RADIUS        1.0
#define SD_STARFIELD_NUM_STARS     1000


/*
 * createStarfieldDL
 *
 * Input:
 *    wantTexture
 *       If true, use textures for starfield.
 *
 * Description:
 *    Creates the starfield display list.
 *
 */

void createStarfieldDL (int wantTexture);


/*
 * drawStarfield
 *
 * Description:
 *    Draws the starfield.
 *
 */

void drawStarfield (void);


#endif /* C_STARFIELD_H */
