/***************************************************************************
 *
 * c_vessel.h - Client-side functions for drawing a vessel.
 *
 ***************************************************************************
 *
 * SpaceDuel3D, version 1.0.
 * Copyright (C) 1998 Gustav Taxen.
 * This is free software with ABSOLUTELY NO WARRANTY.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, write to the Free Software
 * Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ***************************************************************************/

#ifndef C_VESSEL_H
#define C_VESSEL_H

#include <GL/glut.h>

#include <transfer.h>


/*
 * createVesselDL
 *
 * Description:
 *    Creates the vessel display list.
 *
 */

void createVesselDL ();


/*
 * drawVessel
 *
 * Input:
 *    data
 *       Pointer to transfer data.
 *    eye
 *       Pointer to eyepoint data.
 *
 * Description:
 *    Draws a vessel based on the transferred data.
 *
 */

void drawVessel (xferData           *data,
		 eyePointXferData   *eye);


#endif /* C_VESSEL_H */
