/***************************************************************************
 *
 * randomutils.c - Random number utilities.
 *
 ***************************************************************************
 *
 * SpaceDuel3D, version 1.0.
 * Copyright (C) 1998 Gustav Taxen.
 * This is free software with ABSOLUTELY NO WARRANTY.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, write to the Free Software
 * Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ***************************************************************************/

#include <stdlib.h>
#include <sys/time.h>

#include <randomutils.h>


/*
 * randomize
 *
 * Description:
 *    Set random seed based on current time.
 *
 */

void
randomize (void)
{
  srand (time (NULL));
}


/*
 * randomBetweenZeroAndOne
 *
 * Returns:
 *    Random number between 0.0 and 1.0.
 *
 */

float
randomBetweenMinusOneAndOne (void)
{
  return (2.0 * ((float) rand ()) / ((float) RAND_MAX)) - 1.0;
}


/*
 * randomBetweenMinusOneAndOne
 *
 * Returns:
 *    Random number between -1.0 and 1.0.
 *
 */

float
randomBetweenZeroAndOne (void)
{
  return (float) rand () / (float) RAND_MAX;
}
