/***************************************************************************
 *
 * s_collision.c - Server side functions for collision detection.
 *
 ***************************************************************************
 *
 * SpaceDuel3D, version 1.0.
 * Copyright (C) 1998 Gustav Taxen.
 * This is free software with ABSOLUTELY NO WARRANTY.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, write to the Free Software
 * Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ***************************************************************************/

#include <s_collision.h>



/*
 * collisionSpheres
 *
 * Input:
 *    sphere1
 *       Pointer to a bounding sphere
 *    sphere2
 *       Pointer to a bounding sphere.
 *
 * Description:
 *    Checks if sphere1 is within the radius of
 *    sphere2.
 *
 * Returns:
 *    True if the bounding spheres have collided.
 *    False otherwise.
 *
 */

int 
collisionSpheres (boundingSphere    *sphere1,
		  boundingSphere    *sphere2)
{
  vector  v;

  vecSub (v, sphere2->position, sphere1->position);
  return ((sphere1->radius + sphere2->radius) > vecLength (v));
}

