/***************************************************************************
 *
 * c_blast.h - Client-side functions for drawing a blast.
 *
 ***************************************************************************
 *
 * SpaceDuel3D, version 1.0.
 * Copyright (C) 1998 Gustav Taxen.
 * This is free software with ABSOLUTELY NO WARRANTY.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, write to the Free Software
 * Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ***************************************************************************/

#ifndef C_BLAST_H
#define C_BLAST_H

#include <GL/glut.h>

#include <transfer.h>


/*
 * createBlastDL
 *
 * Description:
 *    Creates the blast display list.
 *
 */

void createBlastDL (void);


/*
 * drawBlast
 *
 * Input:
 *    data
 *       Pointer to transfer data.
 *
 * Description:
 *    Draws a blast based on the transferred data.
 *
 */

void drawBlast (xferData   *data,
		eyePointXferData   *eye);


#endif /* C_BLAST_H */
